Can anyone get this Java applet to run?

Discussion in 'macOS' started by Nermal, Dec 23, 2007.

  1. Nermal Moderator

    Nermal

    Staff Member

    Joined:
    Dec 7, 2002
    Location:
    New Zealand
    #1
    A friend sent me a link to this, but I get a blank area with a little red X when I try to view it in Safari. if I download the jar and launch it, I get a rather generic "failed to launch" error. The console contains the message "java.lang.UnsupportedClassVersionError: Bad version number in .class file".

    It works for him, so can someone here please try it and see what happens? I have Leopard with all the latest updates.

    Thanks :)
     
  2. ledd macrumors newbie

    Joined:
    Dec 26, 2006
    #2
    This may be a Java 1.6 issue or whatever. I had problems similar to this before. And it did not run for me.
     
  3. Mydel macrumors 6502a

    Mydel

    Joined:
    Apr 8, 2006
    Location:
    Sometimes here mostly there
    #3
    Doesn't work for me as well.I'm on MBP 10.5.1
     
  4. Mernak macrumors 6502

    Joined:
    Apr 9, 2006
    Location:
    Kirkland, WA
    #4
    Java Console says
    Code:
    java.lang.UnsupportedClassVersionError: Bad version number in .class file
    	at java.lang.ClassLoader.defineClass2(Native Method)
    	at java.lang.ClassLoader.defineClass(ClassLoader.java:719)
    	at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:160)
    	at java.net.URLClassLoader.defineClass(URLClassLoader.java:254)
    	at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
    	at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
    	at java.security.AccessController.doPrivileged(Native Method)
    	at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
    	at sun.applet.AppletClassLoader.findClass(AppletClassLoader.java:147)
    	at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
    	at sun.applet.AppletClassLoader.loadClass(AppletClassLoader.java:119)
    	at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
    	at sun.applet.AppletClassLoader.loadCode(AppletClassLoader.java:591)
    	at sun.applet.AppletPanel.createApplet(AppletPanel.java:723)
    	at sun.plugin.AppletViewer.createApplet(AppletViewer.java:1863)
    	at sun.applet.AppletPanel.runLoader(AppletPanel.java:652)
    	at sun.applet.AppletPanel.run(AppletPanel.java:326)
    	at java.lang.Thread.run(Thread.java:613)
    which happens when a computer has the wrong version of java, so it does seem to be a 1.6 error (which apple needs to release soon for stuff like this)
     
  5. HLdan macrumors 603

    HLdan

    Joined:
    Aug 22, 2007
    #5
    Yep, even tried it in XP and no go. It's the website, it's not your Mac.
     
  6. Nermal thread starter Moderator

    Nermal

    Staff Member

    Joined:
    Dec 7, 2002
    Location:
    New Zealand
    #6
    So it looks like it's written in the new version of Java then. That was my initial suspicion, although it boggles the mind as to why somebody would make a site targetting a developer preview of the runtime. Does anybody know whether it's "safe" to install the DP without breaking anything important?
     

Share This Page